
Foreman - Bug #2767

Seach for  host.hostgroup in /fact_values raise 500 error 

07/10/2013 03:51 AM - Romain Vrignaud

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

host.hostgroup in auto-completed but raises 500 in /fact_values

Version Foreman 1.2.0

Here is a trace :

Cache read: https://foreman2-unprotected.example.com/fact_values?search=+host.hostgroup+%3D+web&ut

f8=%E2%9C%93

Started GET "/fact_values?utf8=%E2%9C%93&search=+host.hostgroup+%3D+web" for 192.168.200.11 at 201

3-07-10 09:48:08 +0200

Cache read: _session_id:675cde73f41b286d1490adb366147d9c

Processing by FactValuesController#index as HTML

  Parameters: {"utf8"=>"✓", "search"=>" host.hostgroup = web"}

  User Load (0.9ms)  SELECT `users`.* FROM `users` WHERE `users`.`id` = ? LIMIT 1  [["id", 9]]

Setting current user thread-local variable to rvrignaud

Cache read: authorize_login_delegation

Cache read: authorize_login_delegation

Cache read: idle_timeout

  FactValue Load (0.9ms)  SELECT `fact_values`.* FROM `fact_values` LIMIT 1

  SQL (1080.2ms)  SELECT `fact_values`.`id` AS t0_r0, `fact_values`.`value` AS t0_r1, `fact_values

`.`fact_name_id` AS t0_r2, `fact_values`.`host_id` AS t0_r3, `fact_values`.`updated_at` AS t0_r4, 

`fact_values`.`created_at` AS t0_r5, `fact_names`.`id` AS t1_r0, `fact_names`.`name` AS t1_r1, `fa

ct_names`.`updated_at` AS t1_r2, `fact_names`.`created_at` AS t1_r3, `hosts`.`id` AS t2_r0, `hosts

`.`name` AS t2_r1, `hosts`.`ip` AS t2_r2, `hosts`.`environment` AS t2_r3, `hosts`.`last_compile` A

S t2_r4, `hosts`.`last_freshcheck` AS t2_r5, `hosts`.`last_report` AS t2_r6, `hosts`.`updated_at` 

AS t2_r7, `hosts`.`source_file_id` AS t2_r8, `hosts`.`created_at` AS t2_r9, `hosts`.`mac` AS t2_r1

0, `hosts`.`root_pass` AS t2_r11, `hosts`.`serial` AS t2_r12, `hosts`.`puppet_status` AS t2_r13, `

hosts`.`domain_id` AS t2_r14, `hosts`.`architecture_id` AS t2_r15, `hosts`.`operatingsystem_id` AS

 t2_r16, `hosts`.`environment_id` AS t2_r17, `hosts`.`subnet_id` AS t2_r18, `hosts`.`ptable_id` AS

 t2_r19, `hosts`.`medium_id` AS t2_r20, `hosts`.`build` AS t2_r21, `hosts`.`comment` AS t2_r22, `h

osts`.`disk` AS t2_r23, `hosts`.`installed_at` AS t2_r24, `hosts`.`model_id` AS t2_r25, `hosts`.`h

ostgroup_id` AS t2_r26, `hosts`.`owner_id` AS t2_r27, `hosts`.`owner_type` AS t2_r28, `hosts`.`ena

bled` AS t2_r29, `hosts`.`puppet_ca_proxy_id` AS t2_r30, `hosts`.`managed` AS t2_r31, `hosts`.`use

_image` AS t2_r32, `hosts`.`image_file` AS t2_r33, `hosts`.`uuid` AS t2_r34, `hosts`.`compute_reso

urce_id` AS t2_r35, `hosts`.`puppet_proxy_id` AS t2_r36, `hosts`.`certname` AS t2_r37, `hosts`.`im

age_id` AS t2_r38, `hosts`.`organization_id` AS t2_r39, `hosts`.`location_id` AS t2_r40, `hosts`.`

type` AS t2_r41 FROM `fact_values` LEFT OUTER JOIN `fact_names` ON `fact_names`.`id` = `fact_value

s`.`fact_name_id` LEFT OUTER JOIN `hosts` ON `hosts`.`id` = `fact_values`.`host_id` AND `hosts`.`t

ype` IN ('Host::Managed') WHERE (fact_names.name <> '_timestamp') ORDER BY `fact_values`.`value` A

SC LIMIT 20 OFFSET 0

   (1001.3ms)  SELECT COUNT(DISTINCT `fact_values`.`id`) FROM `fact_values` LEFT OUTER JOIN `fact_

names` ON `fact_names`.`id` = `fact_values`.`fact_name_id` LEFT OUTER JOIN `hosts` ON `hosts`.`id`

 = `fact_values`.`host_id` AND `hosts`.`type` IN ('Host::Managed') WHERE (fact_names.name <> '_tim

estamp')

  Rendered fact_values/index.html.erb within layouts/application (2128.0ms)

Cache read: use_gravatar
  Rendered home/_user_dropdown.html.erb (1.6ms)

Cache read: views/tabs_and_title_records-9

Read fragment views/tabs_and_title_records-9 (0.4ms)

  Rendered home/_topbar.html.erb (1.6ms)

  Bookmark Load (0.6ms)  SELECT `bookmarks`.* FROM `bookmarks` WHERE (((bookmarks.public = 1) OR (

bookmarks.owner_id = 9 AND bookmarks.owner_type = 'User'))) AND (controller = 'fact_values') ORDER

 BY name

  Rendered common/_searchbar.erb (3.2ms)

Completed 200 OK in 2146ms (Views: 55.6ms | ActiveRecord: 2083.9ms)

Cache write: _session_id:675cde73f41b286d1490adb366147d9c ({:expires_in=>nil})

Cache read: https://foreman2-unprotected.example.com/fact_values/auto_complete_search?search=+host

.hostgroup+%3D+web

Started GET "/fact_values/auto_complete_search?search=+host.hostgroup+%3D+web" for 192.168.200.11 

at 2013-07-10 09:48:16 +0200

Cache read: _session_id:675cde73f41b286d1490adb366147d9c

Processing by FactValuesController#auto_complete_search as JSON

  Parameters: {"search"=>" host.hostgroup = web"}

  User Load (0.9ms)  SELECT `users`.* FROM `users` WHERE `users`.`id` = ? LIMIT 1  [["id", 9]]

Setting current user thread-local variable to rvrignaud

Cache read: authorize_login_delegation

Cache read: authorize_login_delegation_api

  Setting Load (0.7ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'authorize_l

ogin_delegation_api' ORDER BY name LIMIT 1

Cache write: authorize_login_delegation_api

Cache read: authorize_login_delegation

Cache read: authorize_login_delegation_api

Operation FAILED: undefined method `klass' for nil:NilClass

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/query_builder.rb:340:in 

`reflection_keys'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/query_builder.rb:252:in 

`has_many_through_join'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/query_builder.rb:227:in 

`sql_test'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/query_builder.rb:429:in 

`to_single_field_sql'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/query_builder.rb:441:in 

`to_sql'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/query_builder.rb:54:in `

build_find_params'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/query_builder.rb:25:in `

build_query'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/auto_complete_builder.rb

:88:in `is_query_valid'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/auto_complete_builder.rb

:38:in `build_autocomplete_options'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/auto_complete_builder.rb

:22:in `auto_complete'

/opt/foreman/vendor/ruby/1.9.1/gems/scoped_search-2.6.0/lib/scoped_search/definition.rb:273:in `co

mplete_for'

/opt/foreman/lib/foreman/controller/auto_complete_search.rb:5:in `auto_complete_search'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal/implicit_render.

rb:4:in `send_action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/abstract_controller/base.rb:167:in `proc

ess_action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal/rendering.rb:10:

in `process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/abstract_controller/callbacks.rb:18:in `

block in process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:527:in `b

lock (3 levels) in _run__673705099494661614__process_action__3126497066867904335__callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:215:in `b

lock in _conditional_callback_around_4547'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:326:in `a

round'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:310:in `_

callback_around_1331'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:214:in `_
conditional_callback_around_4547'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:526:in `b

lock (2 levels) in _run__673705099494661614__process_action__3126497066867904335__callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:215:in `b

lock in _conditional_callback_around_4546'

/opt/foreman/lib/foreman/thread_session.rb:31:in `clear_thread'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:214:in `_

conditional_callback_around_4546'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:415:in `b

lock in _run__673705099494661614__process_action__3126497066867904335__callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:215:in `b

lock in _conditional_callback_around_4545'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:326:in `a

round'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:310:in `_

callback_around_13'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:214:in `_

conditional_callback_around_4545'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:414:in `_

run__673705099494661614__process_action__3126497066867904335__callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in `_

_run_callback'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385:in `_

run_process_action_callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81:in `ru

n_callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/abstract_controller/callbacks.rb:17:in `

process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal/rescue.rb:29:in 

`process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal/instrumentation.

rb:30:in `block in process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123:i

n `block in instrument'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/notifications/instrume

nter.rb:20:in `instrument'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/notifications.rb:123:i

n `instrument'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal/instrumentation.

rb:29:in `process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal/params_wrapper.r

b:207:in `process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.13/lib/active_record/railties/controller_runt

ime.rb:18:in `process_action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/abstract_controller/base.rb:121:in `proc

ess'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/abstract_controller/rendering.rb:45:in `

process'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal.rb:203:in `dispa

tch'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal/rack_delegation.

rb:14:in `dispatch'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_controller/metal.rb:246:in `block

 in action'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:73:

in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:73:

in `dispatch'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:36:

in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/foreman/vendor/ruby/1.9.1/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/routing/route_set.rb:612

:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/apipie-rails-0.0.16/lib/apipie/static_dispatcher.rb:56:in `cal

l'
/opt/foreman/vendor/ruby/1.9.1/gems/rack-openid-1.3.1/lib/rack/openid.rb:98:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/best_standard

s_support.rb:17:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/etag.rb:23:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/conditionalget.rb:25:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/head.rb:14:in

 `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/params_parser

.rb:21:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/flash.rb:242:

in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:210:in `context'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/session/abstract/id.rb:205:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/cookies.rb:34

1:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.13/lib/active_record/query_cache.rb:64:in `ca

ll'

/opt/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abst

ract/connection_pool.rb:479:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:

28:in `block in call'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in `_

run__2012018634721837771__call__3265210282948543450__callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:405:in `_

_run_callback'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:385:in `_

run_call_callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/callbacks.rb:81:in `ru

n_callbacks'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/callbacks.rb:

27:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/remote_ip.rb:

31:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/debug_excepti

ons.rb:16:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/show_exceptio

ns.rb:56:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/railties-3.2.13/lib/rails/rack/logger.rb:32:in `call_app'

/opt/foreman/vendor/ruby/1.9.1/gems/railties-3.2.13/lib/rails/rack/logger.rb:16:in `block in call'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/tagged_logging.rb:22:i

n `tagged'

/opt/foreman/vendor/ruby/1.9.1/gems/railties-3.2.13/lib/rails/rack/logger.rb:16:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/request_id.rb

:22:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/methodoverride.rb:21:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/runtime.rb:17:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.13/lib/active_support/cache/strategy/local_c

ache.rb:72:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/lock.rb:15:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/actionpack-3.2.13/lib/action_dispatch/middleware/static.rb:63:

in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in `fetch'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in `lookup'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in `call!'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/railties-3.2.13/lib/rails/engine.rb:479:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/railties-3.2.13/lib/rails/application.rb:223:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:in `metho

d_missing'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/builder.rb:134:in `call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/urlmap.rb:64:in `block in call'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `each'

/opt/foreman/vendor/ruby/1.9.1/gems/rack-1.4.5/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/request_handler.rb:96:in `process_request'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:516:in `accept_and_process

_next_request'
/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:206:in `start_request_hand

ler'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:171:in `block in handle_sp

awn_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb:479:in `safe_fork'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:166:in `handle_spawn_appli

cation'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:180:in `start'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/application_spawner.rb:129:in `start'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:253:in `block (2 levels) in spawn_rac

k_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:246:in `block in spawn_rack_applicati

on'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:82:in `block in synchron

ize'

<internal:prelude>:10:in `synchronize'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:244:in `spawn_rack_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:137:in `spawn_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/share/phusion-passenger/helper-scripts/passenger-spawn-server:99:in `<main>'

  Rendered common/500.html.erb (3.3ms)

Completed 500 Internal Server Error in 113ms (Views: 5.3ms | ActiveRecord: 1.6ms)

Cache write: _session_id:675cde73f41b286d1490adb366147d9c ({:expires_in=>nil})

Related issues:

Related to Foreman - Bug #4293: Scoped search breaks on some relations Closed 02/07/2014

History

#1 - 07/10/2013 05:02 AM - Dominic Cleal

- Category changed from 19 to Search

#2 - 07/10/2013 05:17 AM - Lukas Zapletal

Can't reproduce on develop, there must be commit fixing this already.

#3 - 07/10/2013 05:21 AM - Dominic Cleal

Try the 1.2-stable branch Lukas?

#4 - 07/10/2013 09:36 AM - Lukas Zapletal

Cannot reproduce on 1.2. Why do you have scoped_search on 2.6.0? Using bundler?

rpm -q ruby193-rubygem-scoped_search

ruby193-rubygem-scoped_search-2.5.1-3.el6.noarch

Please try to downgrade to 2.5.1 for now.

#5 - 07/11/2013 04:12 AM - Romain Vrignaud

I confirm that problem does not exist with scoped_search in 2.5.1

diff --git a/Gemfile b/Gemfile

index 4da0036..108c1ee 100644

--- a/Gemfile

+++ b/Gemfile

@ -9,7 +9,7 @ gem 'rest-client', :require => 'rest_client'

gem "audited-activerecord", "3.0.0"

gem "will_paginate", "~> 3.0.2"

gem "ancestry", "~> 1.3"

-gem 'scoped_search', '>= 2.5'

+gem 'scoped_search', '= 2.5.1'

gem 'net-ldap'
gem 'uuidtools'

gem "apipie-rails", '0.0.16'

#6 - 02/07/2014 02:04 PM - Marek Hulán

- Related to Bug #4293: Scoped search breaks on some relations added

#7 - 02/10/2014 03:29 PM - Marek Hulán

With 2.6.2 I see different error. You can replicate using search like 'host.hostgroup = "puppet_managed"'

#8 - 03/10/2014 04:16 PM - Dominic Cleal

- Status changed from New to Resolved

Marek Hulán wrote:

With 2.6.2 I see different error. You can replicate using search like 'host.hostgroup = "puppet_managed"'

 I think this is now fixed via #4563 and 2.6.5, closing.
